org.eclipse.actf.ai.voice

## Class VoiceUtil

- java.lang.Object
- - org.eclipse.actf.ai.voice.VoiceUtil

    public class VoiceUtil
    extends Object

Utility class to use ACTF Voice functions.

### Constructor Summary

Constructors
Constructor and Description
`VoiceUtil()`

### Method Summary

Methods
`static int` `getDefaultSpeed()` Returns the default speed of the TTS engine which is saved in the preference.
`static IVoice` `getVoice()` Returns an implementation of IVoice to perform text synthesis operations.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VoiceUtil

    public VoiceUtil()

### Method Detail

#### getVoice

    public static IVoice getVoice()

Returns an implementation of IVoice to perform text synthesis operations.

Returns:
  IVoice implementation

#### getDefaultSpeed

    public static int getDefaultSpeed()

Returns the default speed of the TTS engine which is saved in the preference.

Returns:
  The default speed of the TTS engine